curl --request POST \
--url https://api.tagada.io/api/public/v1/subscriptions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"per_page": 20
}
'{
"items": [
{
"id": "sub_123",
"status": "active",
"createdAt": "2024-03-20T10:30:00Z",
"currency": "USD",
"customer": "John Doe",
"customerEmail": "john@example.com",
"priceCurrencyOptions": {
"USD": {
"amount": 2999
},
"EUR": {
"amount": 2599
}
},
"priceInterval": "month",
"priceIntervalCount": 1,
"currentPeriodStart": "2024-03-20T00:00:00Z",
"currentPeriodEnd": "2024-04-20T00:00:00Z"
}
],
"pagination": {
"hasNext": false,
"totalItems": 1,
"nextPage": null,
"previousPage": null
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}subscriptions
List subscriptions
Get all subscriptions for the authenticated account with filtering, sorting, and pagination
POST
/
api
/
public
/
v1
/
subscriptions
/
list
curl --request POST \
--url https://api.tagada.io/api/public/v1/subscriptions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"per_page": 20
}
'{
"items": [
{
"id": "sub_123",
"status": "active",
"createdAt": "2024-03-20T10:30:00Z",
"currency": "USD",
"customer": "John Doe",
"customerEmail": "john@example.com",
"priceCurrencyOptions": {
"USD": {
"amount": 2999
},
"EUR": {
"amount": 2599
}
},
"priceInterval": "month",
"priceIntervalCount": 1,
"currentPeriodStart": "2024-03-20T00:00:00Z",
"currentPeriodEnd": "2024-04-20T00:00:00Z"
}
],
"pagination": {
"hasNext": false,
"totalItems": 1,
"nextPage": null,
"previousPage": null
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Required range:
x >= 1Required range:
1 <= x <= 1000Available options:
customers.email, customers.fullName, subscriptions.status, subscriptions.price, subscriptions.createdAt, subscriptions.billing_period, subscriptions.nextBillingDate, subscriptions.processorName, paymentType Available options:
asc, desc Show child attributes
Show child attributes
